<div ng-controller="taskKanbanController as self">
    <div class="row">
        <div class="col-xs-12">
            <div class="form-group">
                <label><?= ucfirst($this->translate('keyword_entity')) ?> :</label>
                <select ng-model="self.group" ng-options="group.name for group in self.groups" class="form-control" style="width: auto"></select>
            </div>
        </div>
    </div>


    <div class="kanban-wrapper">
        <div class="kanban">
            <div class="column">
                <div class="header">
                    <div class="title">
                        Non affectées
                    </div>
                    <div>
                        <input type="text" class="form-control" ng-model="unFilter" placeholder="<?= $this->translate('search') ?>"/>
                    </div>
                </div>
                <div class="body" ui-sortable="sortableOptions" ng-model="self.unaffecteds" data-keyword="null">
                    <div class="task-card" ng-repeat="task in self.unaffecteds"
                         ng-class="{hidden: !self.customFilter(task, unFilter)}"
                         ng-dblclick="self.editTask(task)">
                        <div class="name">{{task.name}}</div>
                        <div class="project">
                            <a href="<?= $this->url('project/form') ?>/{{task.project.id}}"
                               target="_blank"
                               title="{{task.project.name}}">
                                <?= $this->icon('project') ?>
                                {{task.project.name}}
                            </a>
                        </div>
                        <div class="footer">
                            <div class="users">
                                <img ng-src="{{user.avatar}}" title={{user.name}} ng-repeat="user in task.users"/>
                            </div>
                            <div class="progress" title="{{task.progress}}%">
                                <div class="progress-bar" ng-style="{width: task.progress + '%'}">
                                    {{task.progress}} %
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="column"
                 ng-repeat="keyword in self.group.keywords">
                <div class="header">
                    <div class="title">
                        {{keyword.name}}
                    </div>
                    <div>
                        <input type="text" class="form-control" ng-model="kwFilter" placeholder="<?= $this->translate('search') ?>"/>
                    </div>
                </div>
                <div class="body" ui-sortable="sortableOptions" ng-model="keyword.tasks" data-keyword="{{keyword.id}}">
                    <div class="task-card" ng-repeat="task in keyword.tasks"
                         ng-class="{hidden: !self.customFilter(task, kwFilter)}"
                         ng-dblclick="self.editTask(task)">
                        <div class="name">{{task.name}}</div>
                        <div class="project">
                            <a href="<?= $this->url('project/form') ?>/{{task.project.id}}"
                               target="_blank"
                               title="{{task.project.name}}">
                                <?= $this->icon('project') ?>
                                {{task.project.name}}
                            </a>
                        </div>
                        <div class="footer">
                            <div class="users">
                                <img ng-src="{{user.avatar}}" title={{user.name}} ng-repeat="user in task.users"/>
                            </div>
                            <div class="progress" title="{{task.progress}}%">
                                <div class="progress-bar" ng-style="{width: task.progress + '%'}">
                                    {{task.progress}} %
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>